Subject: bug#17530: 24.4.50; `package-load-list': incorrect defcustom type

From: Drew Adams <[email-masked]>
Date: Mon, 19 May 2014 09:33:02 -0700 (PDT)

And why is the default value `all'?

If someone does not customize this or does `package-initialize' in
their init file before loading `custom-file' then they might be in
for an unwelcome surprise, depending on what packages they have
locally.

The default value would be better as nil, IMHO.